Module java.corba
Package org.omg.IOP

## Class ServiceContext

- java.lang.Object
- - org.omg.IOP.ServiceContext

All Implemented Interfaces:
  Serializable, IDLEntity

    public final class ServiceContext
    extends Object
    implements IDLEntity

org/omg/IOP/ServiceContext.java . Generated by the IDL-to-Java compiler (portable), version "3.2" from /build/openjdk-9-argm_o/openjdk-9-9~b114/src/corba/src/java.corba/share/classes/org/omg/PortableInterceptor/IOP.idl Thursday, April 14, 2016 7:54:05 PM UTC

### Field Summary

Fields
`byte[]` `context_data` The data associated with this service context
`int` `context_id` The service context id

### Constructor Summary

Constructors
Constructor and Description
`ServiceContext()`
`ServiceContext(int _context_id, byte[] _context_data)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### context_data

    public byte[] context_data

The data associated with this service context

#### context_id

    public int context_id

The service context id

### Constructor Detail

#### ServiceContext

    public ServiceContext()

#### ServiceContext

    public ServiceContext(int _context_id,
                          byte[] _context_data)